#!/bin/bash
count2 () {
      if [ -d "$1" ]; then   # überprüfen, ob der erste Parameter ein Verzeichnis ist
         ls $1 | wc -l       # wie oben
         exit 0            # alles OK
      else
         echo "Ungültiges Verzeichnis: $1"
         exit 1            # Fehler
      fi
}
count2 "/gibt/es/garnicht"  # Aufrufe der Funktion count2
echo "Status: $?"

count2 "/etc"
echo "Status: $?"

